Skip to main content
GET
List authentication configurations with optional filters

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Query Parameters

is_composio_managed

Whether to filter by composio managed auth configs

toolkit_slug
string

Comma-separated list of toolkit slugs to filter auth configs by

deprecated_app_id
string
deprecated

The app id to filter by DEPRECATED: This parameter will be removed in a future version. Please use toolkit_slug instead.

deprecated_status
string
deprecated

DEPRECATED: This parameter will be removed in a future version.

show_disabled
boolean | null
default:false

Show disabled auth configs

Search auth configs by name or id

limit
number | null

Number of items per page, max allowed is 200

cursor
string

Cursor for pagination. The cursor is a base64 encoded string of the page and limit. The page is the page number and the limit is the number of items per page. The cursor is used to paginate through the items. The cursor is not required for the first page.

Response

Successfully fetched auth configs

items
object[]
required
total_pages
number
required
current_page
number
required
total_items
number
required
next_cursor
string | null